commit:     f8b01cf1c2aecc4d6fe025b5888533d7df4d4719
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 22 07:41:10 2020 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Aug 22 07:55:53 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f8b01cf1

dev-ruby/colorize: add ruby27

Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/colorize/colorize-0.8.1-r1.ebuild | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/dev-ruby/colorize/colorize-0.8.1-r1.ebuild 
b/dev-ruby/colorize/colorize-0.8.1-r1.ebuild
new file mode 100644
index 00000000000..69919f193d5
--- /dev/null
+++ b/dev-ruby/colorize/colorize-0.8.1-r1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Adds methods to set color, background color and text effect on 
console easier"
+HOMEPAGE="https://github.com/fazibear/colorize";
+LICENSE="GPL-2+"
+
+KEYWORDS="~amd64"
+SLOT="0"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/minitest:5 )"
+
+all_ruby_prepare() {
+       sed -i -e "/[Cc]ode[Cc]limate/d" test/test_colorize.rb || die
+}
+
+each_ruby_test() {
+       cd test || die
+       ${RUBY} test_colorize.rb || die
+}

Reply via email to